<?php

namespace Tests\App\Models;

use Tests\Support\ModelCrudTestCase;
use App\Models\EmergencyContactModel;

class EmergencyContactModelTest extends ModelCrudTestCase
{

    public function testCanInsertAndRetrieve()
    {
        $this->assertModelCanInsertAndRetrieve(EmergencyContactModel::class);
    }

    public function testCanUpdate()
    {
        $this->assertModelCanUpdate(EmergencyContactModel::class);
    }

    public function testCanDelete()
    {
        $this->assertModelCanDelete(EmergencyContactModel::class);
    }
}
